com.jscape.inet.telnet

## Class TelnetTaskFailedEvent

- java.lang.Object
- - java.util.EventObject
  - - com.jscape.inet.telnet.TelnetTaskFailedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TelnetTaskFailedEvent
      extends java.util.EventObject

  Fired when a `TelnetTask` has failed to complete
  See Also:
    `TelnetTask`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TelnetTaskFailedEvent(java.lang.Object source, TelnetTask task, java.lang.Exception exception)` Creates a new instance of TelnetTaskFailedEvent.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Exception` | `getException()` Gets the exception that caused the TelnetTask to fail.
    `TelnetTask` | `getTask()` Gets the TelnetTask that has failed.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TelnetTaskFailedEvent

          public TelnetTaskFailedEvent(java.lang.Object source,
                                       TelnetTask task,
                                       java.lang.Exception exception)

      Creates a new instance of TelnetTaskFailedEvent.
      Parameters:
        `source` - the source of the event
        `task` - the `TelnetTask` that has failed
        `exception` - the source of this exception
      See Also:
        `TelnetTask`

  - ### Method Detail

    - #### getTask

          public TelnetTask getTask()

      Gets the TelnetTask that has failed.
      Returns:
        a `TelnetTask`

    - #### getException

          public java.lang.Exception getException()

      Gets the exception that caused the TelnetTask to fail.
      Returns:
        the exception

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved